CREATE TABLE inv_txn_source_types_b (
    TRANSACTION_SOURCE_TYPE_ID       NUMBER(18, 0) ,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    END_DATE                         DATE          ,
    START_DATE                       DATE          ,
    USER_DEFINED_FLAG                VARCHAR2(4)       NOT NULL,
    VALIDATED_FLAG                   VARCHAR2(4)       NOT NULL,
    DESCRIPTIVE_FLEX_CONTEXT_CODE    VARCHAR2(120) ,
    ATTRIBUTE_CATEGORY               VARCHAR2(120) ,
    ATTRIBUTE1                       VARCHAR2(600) ,
    ATTRIBUTE2                       VARCHAR2(600) ,
    ATTRIBUTE3                       VARCHAR2(600) ,
    ATTRIBUTE4                       VARCHAR2(600) ,
    ATTRIBUTE5                       VARCHAR2(600) ,
    ATTRIBUTE6                       VARCHAR2(600) ,
    ATTRIBUTE7                       VARCHAR2(600) ,
    ATTRIBUTE8                       VARCHAR2(600) ,
    ATTRIBUTE9                       VARCHAR2(600) ,
    ATTRIBUTE10                      VARCHAR2(600) ,
    ATTRIBUTE11                      VARCHAR2(600) ,
    ATTRIBUTE12                      VARCHAR2(600) ,
    ATTRIBUTE13                      VARCHAR2(600) ,
    ATTRIBUTE14                      VARCHAR2(600) ,
    ATTRIBUTE15                      VARCHAR2(600) ,
    REQUEST_ID                       NUMBER(18, 0) ,
    TRANSACTION_SOURCE_CATEGORY      VARCHAR2(120) ,
    JOB_DEFINITION_NAME              VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE           VARCHAR2(3600),
    TRANSACTION_SOURCE               VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE                 VARCHAR2(2048),
    ORA_SEED_SET1                    VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                    VARCHAR2(4)       NOT NULL,
    TRANSACTION_SOURCE_TYPE_ID       NUMBER(18, 0) ,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    END_DATE                         DATE          ,
    START_DATE                       DATE          ,
    USER_DEFINED_FLAG                VARCHAR2(4)       NOT NULL,
    VALIDATED_FLAG                   VARCHAR2(4)       NOT NULL,
    DESCRIPTIVE_FLEX_CONTEXT_CODE    VARCHAR2(120) ,
    ATTRIBUTE_CATEGORY               VARCHAR2(120) ,
    ATTRIBUTE1                       VARCHAR2(600) ,
    ATTRIBUTE2                       VARCHAR2(600) ,
    ATTRIBUTE3                       VARCHAR2(600) ,
    ATTRIBUTE4                       VARCHAR2(600) ,
    ATTRIBUTE5                       VARCHAR2(600) ,
    ATTRIBUTE6                       VARCHAR2(600) ,
    ATTRIBUTE7                       VARCHAR2(600) ,
    ATTRIBUTE8                       VARCHAR2(600) ,
    ATTRIBUTE9                       VARCHAR2(600) ,
    ATTRIBUTE10                      VARCHAR2(600) ,
    ATTRIBUTE11                      VARCHAR2(600) ,
    ATTRIBUTE12                      VARCHAR2(600) ,
    ATTRIBUTE13                      VARCHAR2(600) ,
    ATTRIBUTE14                      VARCHAR2(600) ,
    ATTRIBUTE15                      VARCHAR2(600) ,
    REQUEST_ID                       NUMBER(18, 0) ,
    TRANSACTION_SOURCE_CATEGORY      VARCHAR2(120) ,
    JOB_DEFINITION_NAME              VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE           VARCHAR2(3600),
    TRANSACTION_SOURCE               VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE                 VARCHAR2(2048),
    ORA_SEED_SET1                    VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                    VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_inv_txn_source_types_b PRIMARY KEY (TRANSACTION_SOURCE_TYPE_ID, TRANSACTION_SOURCE_TYPE_ID)
);
